summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2016-12-18 18:35:33 -0500
committerTavian Barnes <tavianator@tavianator.com>2016-12-18 18:35:33 -0500
commit8fad779ae21b1052268af0befa930c75d1dd780b (patch)
tree59fe107f78d9b53f0e6d3ac59e326105a2d06230 /tests.sh
parente319411a3f2f4e82f3519cc1a1f45e7153a5e2af (diff)
downloadbfs-8fad779ae21b1052268af0befa930c75d1dd780b.tar.xz
Implement BSD find's -depth N
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh32
1 files changed, 31 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index b1672e6..8848ebe 100755
--- a/tests.sh
+++ b/tests.sh
@@ -705,9 +705,39 @@ function test_0111() {
bfs_diff weirdnames -nohidden
}
+function test_0112() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth 2
+}
+
+function test_0113() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth +2
+}
+
+function test_0114() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth -2
+}
+
+function test_0115() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth -depth 2
+}
+
+function test_0116() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth -depth +2
+}
+
+function test_0117() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -depth -depth -2
+}
+
result=0
-for i in {1..111}; do
+for i in {1..117}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then